petsc-3.7.7 2017-09-25
Report Typos and Errors

# AOGetType

Gets the AO type name (as a string) from the AO.

### Synopsis

    #include "petscao.h"
    PetscErrorCode  AOGetType(AO ao, AOType *type)

Not Collective

### Input Parameter

ao -The vector

### Output Parameter

type -The AO type name

### Keywords

ao, get, type, name

### See Also

AOSetType(), AOCreate()

Level:intermediate
Location:src/vec/is/ao/interface/aoreg.c
Index of all AO routines
Table of Contents for all manual pages
Index of all manual pages